Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	CD/DVD quality check utilities
Name:		qpxtool
Version:	0.6.1
Release:	1
License:	GNU/GPL 
URL:		http://qpxtool.sourceforge.net/	
Group:		System/Configuration/Hardware
Source0:	%{name}-%{version}.tar.bz2
Patch0:		qpxtool-config.patch
Patch1:		qpxtool-cflags.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
#BuildRequires:	qt-devel
#BuildRequires:	parted-devel
#BuildRequires:	e2fsprogs-devel
#BuildRequires:	jfsutils
#BuildRequires:	xfsprogs
#BuildRequires:	ntfsprogs-devel
#BuildRequires:	progsreiserfs-devel
#BuildRequires:	unsermake
#BuildRequires:  libICE-devel
#BuildRequires:  libSM-devel
#BuildRequires:  libX11-devel
#BuildRequires:  libXext-devel
#BuildRequires:  glibc-devel
#BuildRequires:  libpng-devel
#BuildRequires:  libstdc++-devel

%description
QPxTool is a tool suite for CD/DVD media. It contains

    * qpxtool
    * pxcontrol
    * pxfw
    * deadreader

QPxTool is the linux way to get full control over your CD/DVD drives. It is the Open Source Solution which intends to give you access to all available Quality Checks (Q-Checks) on written and blank media, that are available for your drive. This will help you to find the right media and the optimized writing speed for your hardware, which will increase the chance for a long data lifetime.

%package        devel
Summary:        header files for %{name}
Group:          System/Configuration/Hardware
Requires:       %{name} = %{version}-%{release}

%description devel
header files for %{name}

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
# set correct paths
%patch0 -p1
# honour system CFLAGS/CXXFLAGS
%patch1 -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
#install -m 755 -d $RPM_BUILD_ROOT%_applications
#mv -f $RPM_BUILD_ROOT%_datadir/applnk/System/qtparted.desktop $RPM_BUILD_ROOT%_applications
#rm -Rf $RPM_BUILD_ROOT%_datadir/applnk

%files
%defattr(-,root,root)
%_bindir
%_mandir
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Sep 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.6.1-1
- Initial Build
